
{System/conversion/conversion_progress.i}

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR iModulo                       AS INTEGER   NO-UNDO.
DEF VAR iSeqnr                        AS INTEGER   NO-UNDO.
DEF VAR lDone                         AS LOGICAL   NO-UNDO.



DEF VAR cText            AS LONGCHAR  NO-UNDO.
DEF VAR cOutputfile      AS CHAR NO-UNDO.
DEF VAR iAttachmentSeqnr AS INTEGER NO-UNDO.
DEF VAR cErrors          AS CHARACTER NO-UNDO.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "CONNECTION INFO"
  cTable   = "pa-customer"
  iTotal   = 0
  iDone    = 0
  iModulo  = 0
  .



/* alle huidige calls recordtype "CAL" geven */
FOR EACH pa-customer WHERE
         pa-customer.connection_info <> ""
         EXCLUSIVE-LOCK:

  iDone = iDone + 1.

  RUN DisplayProgress (cProgram, "prepare", "tt-cust_depot", iTotal, iDone).

  IF pa-customer.attachmentnr = 0
  THEN DO:
    pa-customer.attachmentnr = NEXT-VALUE(aa-attachment).
  END.
  IF pa-customer.config_attachmentnr = 0
  THEN DO:
    pa-customer.config_attachmentnr = NEXT-VALUE(aa-attachment).
  END.

  cText       = pa-customer.connection_info.
  cOutputfile = SESSION:TEMP-DIR + "connection-info.txt".

  COPY-LOB FROM cText TO FILE cOutputfile CONVERT TARGET CODEPAGE "UTF-8".


  RUN "aa/proc/aa-add_attachment.p"
                 ( INPUT pa-customer.config_attachmentnr
                  ,INPUT cOutputfile
                  ,INPUT "pa-config"
                  ,INPUT STRING(pa-customer.cust_addressnr)
                  ,INPUT "remove=yes,confirm=no"
                  ,OUTPUT iAttachmentSeqnr
                  ,OUTPUT cErrors ).

  IF cErrors <> ""
  THEN DO:
    MESSAGE "Error while converting connection info : " cOutputfile SKIP(1) cErrors VIEW-AS ALERT-BOX ERROR.
  END.
END.


iTotal = iDone.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



